
\name{ase}
\alias{ase}
\title{Adjacency Spectral Embedding}
\description{
Compute the adjacency spectral embedding from an adjacency matrix of a random dot product graph.
}

\usage{
ase(A, d)
}

\arguments{
  \item{A}{an adjacency matrix. For now, only binary and symmetric matrices are allowed.}
  \item{d}{the embedding dimension.}
}

\details{}

\value{
\code{ase} returns the latent positions of the vertices in the Euclidean space, arranged in a matrix of dimension n by d, where n is the number of vertices and d is the embedding dimension.
}

\references{}

\note{}

\author{}


\seealso{
\code{\link{ose}}
\code{\link{eigs_sym}}
}

\examples{
## set the number of vertices
n = 100

## create an adjacency matrix
m = matrix(data = rbinom(n = n*n, size = 1, prob = 0.5), nrow = n)
m[lower.tri(m)] = t(m)[lower.tri(m)]

## the adjacency spectral embedding, with embedding dimension being 2
ase(A = m, d = 2)
}

\keyword{ose}


